Bug 256764 - games/libretro-uae: Fix build on 13.x and 14.x
Summary: games/libretro-uae: Fix build on 13.x and 14.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-22 02:17 UTC by Daniel Menelkir
Modified: 2021-07-26 04:01 UTC (History)
1 user (show)

See Also:
nc: merge-quarterly+


Attachments
v1 (689 bytes, patch)
2021-06-22 02:17 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2021-06-22 02:17:53 UTC
Created attachment 225985 [details]
v1

I didn't test if this also fix the RISCv64 build, so I'll let the BROKEN_riscv64.
Comment 1 Daniel Menelkir 2021-07-25 04:37:49 UTC
Friendly ping on this.
Comment 2 Neel Chauhan freebsd_committer 2021-07-26 00:46:02 UTC
Committed!
Comment 3 commit-hook freebsd_committer 2021-07-26 00:46:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=45e4a00e81d6a7bec69f3dec087e9f9703645b70

commit 45e4a00e81d6a7bec69f3dec087e9f9703645b70
Author:     Daniel Menelkir <menelkir@itroll.org>
AuthorDate: 2021-07-26 00:08:03 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-07-26 00:45:45 +0000

    games/libretro-uae: Fix build on 13.x and 14.x

    PR:     256764

 games/libretro-uae/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-26 00:55:44 UTC
Hi Neel, if quarterly also affected/broken? If so, could you MFH
Comment 5 Neel Chauhan freebsd_committer 2021-07-26 04:01:54 UTC
It seems to make sense. Pushed!
Comment 6 commit-hook freebsd_committer 2021-07-26 04:01:54 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1f2d48f9109a02abbd087355ea30c70fc8916cf6

commit 1f2d48f9109a02abbd087355ea30c70fc8916cf6
Author:     Daniel Menelkir <menelkir@itroll.org>
AuthorDate: 2021-07-26 00:08:03 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-07-26 03:59:33 +0000

    games/libretro-uae: Fix build on 13.x and 14.x

    PR:     256764
    (cherry picked from commit 45e4a00e81d6a7bec69f3dec087e9f9703645b70)

 games/libretro-uae/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)